Subject: Re: bug#7326: 24.0.50; cc-mode: No instant fontification of certain typedefs

From: Alex <[email-masked]>
Date: Wed, 07 Sep 2016 22:50:42 -0600

close 7326
quit

Christoph <[email-masked]> writes:

> Start with `emacs -Q'. Create .c file.
>
> Type
>
> typedef struct
> {
>   unsigned int foo;
> } FooStruct;
>
> `FooStruct' will be fontified as type immediately (green).
>
> Then, right after that, type
>
> typedef struct
> {
>   unsigned int bar;
> } BarStruct;
>
> `BarStruct' will not be fontified as type immediately and stays black.
>
> However, when I kill the buffer and reopen it, `BarStruct' is correctly
> fontified as type (green).
>
> It seems like the first type in the buffer is fontified correctly, but
> the second one is only after reloading the buffer.
>
> This occurs in 24.0.50, bzr rev102241.

I can't reproduce this in 24.4 and up, so I'm closing this. Please
re-open if you disagree.